<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: /home/stefano/Coding/C/projects/librarymgr/librarymgr/gui/NewUserDialog/NewUserDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_new_user_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NewUserDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef NEWUSERDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define NEWUSERDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QDialog&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QGroupBox&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QLabel&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QLineEdit&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QPushButton&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QVBoxLayout&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;models/People/User/User.h&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_new_user_dialog.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_new_user_dialog.html">NewUserDialog</a> : <span class="keyword">public</span> QDialog</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="class_gui.html">Gui</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    Q_OBJECT</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_new_user_dialog.html#ad6a49d83f4e5360b261d6a3643280880">NewUserDialog</a>(QDialog* parent = 0);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_new_user_dialog.html#ae0f740360cc53cc8043d6f6f4806cf2c">loginAsUser</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_new_user_dialog.html#ab439d3ca7bd06e08fe9a260ac54ca085">loginAsAdmin</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_new_user_dialog.html#a517a7ff9e0a25b3aafef47ef42931221">registerNewUser</a>();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_new_user_dialog.html#a0719ad9002d72815ebc7a546e90d50c9">exit</a>();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="comment">// gui</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    QVBoxLayout* layout;  <span class="comment">// main layout</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    QLabel* titleLabel;  <span class="comment">// title</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    QVBoxLayout* userAreaLayout;  <span class="comment">// layout of user area</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    QGroupBox* gBoxUser;  <span class="comment">// user area</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    QLineEdit* lineEditUsername;  <span class="comment">// new user input</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    QPushButton* userSignInButton;  <span class="comment">// login as user button</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    QPushButton* userSignUpButton;  <span class="comment">// register new user</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    QVBoxLayout* adminAreaLayout;  <span class="comment">// admin area layout</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    QGroupBox* gBoxAdmin;  <span class="comment">// admin area</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    QPushButton* adminSignInButton;  <span class="comment">// login as admin</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    QPushButton* exitButton;  <span class="comment">// exit button</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> setupUserPanel();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">void</span> setupAdminPanel();</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;};</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif // NEWUSERDIALOG_H</span></div><div class="ttc" id="class_new_user_dialog_html"><div class="ttname"><a href="class_new_user_dialog.html">NewUserDialog</a></div><div class="ttdef"><b>Definition:</b> NewUserDialog.h:31</div></div>
<div class="ttc" id="class_gui_html"><div class="ttname"><a href="class_gui.html">Gui</a></div><div class="ttdoc">Manages UI for the app. </div><div class="ttdef"><b>Definition:</b> Gui.h:28</div></div>
<div class="ttc" id="class_new_user_dialog_html_ad6a49d83f4e5360b261d6a3643280880"><div class="ttname"><a href="class_new_user_dialog.html#ad6a49d83f4e5360b261d6a3643280880">NewUserDialog::NewUserDialog</a></div><div class="ttdeci">NewUserDialog(QDialog *parent=0)</div><div class="ttdef"><b>Definition:</b> NewUserDialog.cpp:20</div></div>
<div class="ttc" id="class_new_user_dialog_html_ab439d3ca7bd06e08fe9a260ac54ca085"><div class="ttname"><a href="class_new_user_dialog.html#ab439d3ca7bd06e08fe9a260ac54ca085">NewUserDialog::loginAsAdmin</a></div><div class="ttdeci">void loginAsAdmin()</div><div class="ttdef"><b>Definition:</b> NewUserDialog.cpp:42</div></div>
<div class="ttc" id="class_new_user_dialog_html_a517a7ff9e0a25b3aafef47ef42931221"><div class="ttname"><a href="class_new_user_dialog.html#a517a7ff9e0a25b3aafef47ef42931221">NewUserDialog::registerNewUser</a></div><div class="ttdeci">void registerNewUser()</div><div class="ttdef"><b>Definition:</b> NewUserDialog.cpp:47</div></div>
<div class="ttc" id="class_new_user_dialog_html_ae0f740360cc53cc8043d6f6f4806cf2c"><div class="ttname"><a href="class_new_user_dialog.html#ae0f740360cc53cc8043d6f6f4806cf2c">NewUserDialog::loginAsUser</a></div><div class="ttdeci">void loginAsUser()</div><div class="ttdef"><b>Definition:</b> NewUserDialog.cpp:37</div></div>
<div class="ttc" id="class_new_user_dialog_html_a0719ad9002d72815ebc7a546e90d50c9"><div class="ttname"><a href="class_new_user_dialog.html#a0719ad9002d72815ebc7a546e90d50c9">NewUserDialog::exit</a></div><div class="ttdeci">void exit()</div><div class="ttdef"><b>Definition:</b> NewUserDialog.cpp:52</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4732647364a3e189d22b3a45b5ac65e9.html">librarymgr</a></li><li class="navelem"><a class="el" href="dir_328e5c98305ff69ad4f369e5a9652d40.html">gui</a></li><li class="navelem"><a class="el" href="dir_3340824f9568ac9fea587c22276f46b3.html">NewUserDialog</a></li><li class="navelem"><b>NewUserDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
